Bug 166790 - comms/usbmuxd fails to compile when inotify installed
Summary: comms/usbmuxd fails to compile when inotify installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 15:30 UTC by Kris Moore
Modified: 2012-04-19 00:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kris Moore freebsd_committer 2012-04-09 15:30:13 UTC
[root@pcbsd-5395] /usr/ports/comms/usbmuxd# make clean
===>  Cleaning for usbmuxd-1.0.7_2
[root@pcbsd-5395] /usr/ports/comms/usbmuxd# make
===>  Vulnerability check disabled, database not found
===>  License check disabled, port has not defined LICENSE
===>  Extracting for usbmuxd-1.0.7_2
=> SHA256 Checksum OK for usbmuxd-1.0.7.tar.bz2.
===>  Patching for usbmuxd-1.0.7_2
===>   usbmuxd-1.0.7_2 depends on file: /usr/local/bin/cmake - found
===>   usbmuxd-1.0.7_2 depends on shared library: plist.1 - found
===>  Configuring for usbmuxd-1.0.7_2
/usr/bin/sed -i.bak -e 's|${LIB_SUFFIX}/pkgconfig|data/pkgconfig|'  /usr/ports/comms/usbmuxd/work/usbmuxd-1.0.7/CMakeLists.txt
/bin/mkdir -p /usr/ports/comms/usbmuxd/work/usbmuxd-1.0.7
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Configuring usbmuxd v1.0.7
-- checking for module 'libplist'
--   found libplist, version 1.4
-- Found PLIST 
-- Will build usbmuxd: YES
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Found Threads: TRUE 
-- libusbmuxd will be built with inotify support
-- libusbmuxd will be built with protocol version 1 support
-- Found USB 
-- usbmuxd will be built with protocol version 1 support

* REMINDER
* Remember to add a user named 'usbmux' with USB access permissions
* for the udev hotplugging feature to work out of the box.

-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    CMAKE_CXX_FLAGS_DEBUG
    CMAKE_CXX_FLAGS_RELEASE
    CMAKE_C_FLAGS_DEBUG
    CMAKE_MODULE_LINKER_FLAGS


-- Build files have been written to: /usr/ports/comms/usbmuxd/work/usbmuxd-1.0.7
===>  Building for usbmuxd-1.0.7_2
Scanning dependencies of target usbmuxd
[ 20%] Building C object daemon/CMakeFiles/usbmuxd.dir/main.c.o
[ 10%] Building C object daemon/CMakeFiles/usbmuxd.dir/usb-linux.c.o
[ 30%] Building C object daemon/CMakeFiles/usbmuxd.dir/log.c.o
Scanning dependencies of target libusbmuxd
[ 40%] Building C object libusbmuxd/CMakeFiles/libusbmuxd.dir/libusbmuxd.c.o
/usr/ports/comms/usbmuxd/work/usbmuxd-1.0.7/daemon/usb-linux.c: In function 'usb_get_fds':
/usr/ports/comms/usbmuxd/work/usbmuxd-1.0.7/daemon/usb-linux.c:453: warning: assignment from incompatible pointer type
[ 50%] Building C object libusbmuxd/CMakeFiles/libusbmuxd.dir/sock_stuff.c.o
[ 60%] Building C object daemon/CMakeFiles/usbmuxd.dir/__/common/utils.c.o
[ 70%] Building C object libusbmuxd/CMakeFiles/libusbmuxd.dir/__/common/utils.c.o
[ 80%] Building C object daemon/CMakeFiles/usbmuxd.dir/device.c.o
[ 90%] Building C object daemon/CMakeFiles/usbmuxd.dir/client.c.o
Linking C shared library libusbmuxd.so
[ 90%] Built target libusbmuxd
Scanning dependencies of target iproxy
[100%] Building C object tools/CMakeFiles/iproxy.dir/iproxy.c.o
Linking C executable iproxy
./libusbmuxd/libusbmuxd.so.1.0.7: undefined reference to `inotify_add_watch'
./libusbmuxd/libusbmuxd.so.1.0.7: undefined reference to `inotify_init'
*** Error code 1
1 error
*** Error code 2
Linking C executable usbmuxd
[100%] Built target usbmuxd
1 error
*** Error code 2
1 error
*** Error code 1

Stop in /usr/ports/comms/usbmuxd.

[root@pcbsd-5395] /usr/ports/comms/usbmuxd# pkg_info | grep inotify
libinotify-20110829 Kevent based inotify compatible library

Fix: 

Workaround:

add to pre-configure:

        ${REINPLACE_CMD} -e 's|INOTIFY_FOUND TRUE|INOTIFY_FOUND FALSE|' \
                ${WRKSRC}/Modules/FindInotify.cmake
How-To-Repeat: Install devel/libinotify and try building comms/usbmuxd afterwards.
Comment 1 Edwin Groothuis freebsd_committer 2012-04-09 15:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avilla

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-04-19 00:23:24 UTC
avilla      2012-04-18 23:23:10 UTC

  FreeBSD ports repository

  Modified files:
    comms/usbmuxd        Makefile 
  Added files:
    comms/usbmuxd/files  patch-Modules__FindInotify.cmake 
                         patch-libusbmuxd__CMakeLists.txt 
  Log:
  - Fix build when devel/libinotify is installed [1], and add optional
    dependency on it (defaulting to off).
  - Use bsd.port.options.mk.
  - Use IGNORE instead of BROKEN.
  - Bump PORTREVISION.
  
  PR:             166790 [1]
  
  Revision  Changes    Path
  1.8       +18 -8     ports/comms/usbmuxd/Makefile
  1.1       +30 -0     ports/comms/usbmuxd/files/patch-Modules__FindInotify.cmake (new)
  1.1       +26 -0     ports/comms/usbmuxd/files/patch-libusbmuxd__CMakeLists.txt (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alberto Villa freebsd_committer 2012-04-19 00:24:59 UTC
State Changed
From-To: open->closed

Fixed, and added optional dependency on inotify. Thanks!